\documentclass{standalone}
\usepackage{tikz}
\usetikzlibrary{arrows,automata, positioning}

\begin{document}
\begin{tikzpicture}[node distance=1cm]
	\tikzstyle{soc}=[fill=red, circle]
	\tikzstyle{eco}=[fill=green, circle]
	
	\node[soc] (m1s0) {};
	\node[soc] (m1s1) [below of=m1s0, xshift=-.5cm] {};
	\node[soc] (m1s2) [right of=m1s1] {};
	\node[eco] (m1e1) [below of=m1s1, xshift=.5cm] {};
	\draw (m1s0) -- (m1s1) -- (m1e1) -- (m1s2) -- (m1s0);
	\node (m1t1) [below of=m1e1, yshift=0.5cm, align=flush center] {1};
\end{tikzpicture}
\end{document}
